pro sfcstuff2genx, sfcdir
if n_params() eq 0 then begin
   sfcdir=get_logenv('DIR_SXT_SFC')
endif

sfcs=file_list(sfcdir,'sfc*')

nsfc=n_elements(sfcs)

nmin=fltarr(nsfc)
nmax=nmin 
ntot=nmin
nstddev=nmin

rd_xda,sfcs,-1,index
sxtcen=sxt_cen(index,roll=roll)
get_att,index,att
tim2orbit,index,tim2night=tim2night

for i=0,nsfc-1 do begin 
   rd_xda,sfcs(i),-1,ii,dd
   nmin(i)=min(dd)
   nmax(i)=max(dd)
   nstddev(i)=stddev(dd)
   ntot(i)=total(dd)/(gt_expdur(ii)/1000.)/last_nelem(size(dd))
   
endfor

sfcgen=concat_dir('$SSW_SITE_LOGS','sfcstuff')

savestuff='sfccs,index,sxtcen,roll,att,tim2night,nmin,nmax,nstddev,ntot,savestuff'
estring='savegenx,/over,file=sfcgen,'+savestuff
estat=execute(estring)

return
end
  






